Index: /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/mail/LC_Page_Admin_Mail_TemplateInput.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Mail_TemplateInput extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Mail_TemplateInput extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'mail/template_input.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objMailHelper = new SC_Helper_Mail_Ex();
@@ -119,6 +115,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -131,6 +126,5 @@
      * @return void
      */
-    function lfRegistData(&$objFormParam, $template_id = null)
-    {
+    function lfRegistData(&$objFormParam, $template_id = null) {
 
         $objQuery =& SC_Query_Ex::getSingletonInstance();
@@ -160,6 +154,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('メール形式', 'mail_method', INT_LEN, 'n', array('EXIST_CHECK','ALNUM_CHECK'));
         $objFormParam->addParam('Subject', 'subject', STEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22578)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Maker.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Maker extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_Maker extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/maker.tpl';
@@ -58,6 +56,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -69,8 +66,6 @@
      * @return void
      */
-    function action()
-    {
-
-        $objMaker = new SC_Helper_Maker_Ex();
+    function action() {
+
         $objFormParam = new SC_FormParam_Ex();
 
@@ -87,4 +82,7 @@
         $maker_id = $objFormParam->getValue('maker_id');
 
+        // 変換後のPOST値を取得
+        $this->arrForm  = $objFormParam->getHashArray();
+
         // モードによる処理切り替え
         switch ($this->getMode()) {
@@ -92,38 +90,35 @@
             // 編集処理
             case 'edit':
+            // 入力文字の変換
+
                 // エラーチェック
-                $this->arrErr = $this->lfCheckError($objFormParam, $objMaker);
-                if (!SC_Utils_Ex::isBlank($this->arrErr['maker_id'])) {
-                    trigger_error('', E_USER_ERROR);
-                    return;
+                $this->arrErr = $this->lfCheckError($this->arrForm, $objFormParam);
+                if (count($this->arrErr) <= 0) {
+                    if ($this->arrForm['maker_id'] == '') {
+                        // メーカー情報新規登録
+                        $this->lfInsert($this->arrForm);
+                    } else {
+                        // メーカー情報編集
+                        $this->lfUpdate($this->arrForm);
+                    }
+
+                    // 再表示
+                    $this->objDisplay->reload();
+                } else {
+                    // POSTデータを引き継ぐ
+                    $this->tpl_maker_id = $this->arrForm['maker_id'];
                 }
-
-                if (count($this->arrErr) <= 0) {
-                    // POST値の引き継ぎ
-                    $arrParam = $objFormParam->getHashArray();
-                    // 登録実行
-                    $res_maker_id = $this->doRegist($maker_id, $arrParam, $objMaker);
-                    if ($res_maker_id !== FALSE) {
-                        // 完了メッセージ
-                        $maker_id = $res_maker_id;
-                        $this->tpl_onload = "alert('登録が完了しました。');";
-                    }
-                }
-                // POSTデータを引き継ぐ
-                $this->tpl_maker_id = $maker_id;
                 break;
 
             // 編集前処理
             case 'pre_edit':
-                $maker = $objMaker->get($maker_id);
-                $objFormParam->setParam($maker);
-
-                // POSTデータを引き継ぐ
-                $this->tpl_maker_id = $maker_id;
+                $this->arrForm = $this->lfPreEdit($this->arrForm, $this->arrForm['maker_id']);
+                $this->tpl_maker_id = $this->arrForm['maker_id'];
                 break;
 
             // メーカー順変更
             case 'up':
-                $objMaker->rankUp($maker_id);
+            case 'down':
+                $this->lfRankChange($this->arrForm['maker_id'], $this->getMode());
 
                 // リロード
@@ -131,6 +126,7 @@
                 break;
 
-            case 'down':
-                $objMaker->rankDown($maker_id);
+            // 削除
+            case 'delete':
+                $this->lfDelete($this->arrForm['maker_id']);
 
                 // リロード
@@ -138,20 +134,13 @@
                 break;
 
-            // 削除
-            case 'delete':
-                $objMaker->delete($maker_id);
-
-                // リロード
-                SC_Response_Ex::reload();
-                break;
-
             default:
                 break;
         }
 
-        $this->arrForm = $objFormParam->getFormParamList();
-
         // メーカー情報読み込み
-        $this->arrMaker = $objMaker->getList();
+        $this->arrMaker = $this->lfDisp();
+        // POSTデータを引き継ぐ
+        $this->tpl_maker_id = $maker_id;
+
     }
 
@@ -161,6 +150,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -172,6 +160,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('メーカーID', 'maker_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('メーカー名', 'name', SMTEXT_LEN, 'KVa', array('EXIST_CHECK','SPTAB_CHECK','MAX_LENGTH_CHECK'));
@@ -179,16 +166,110 @@
 
     /**
-     * 登録処理を実行.
-     * 
-     * @param integer $maker_id
-     * @param array $sqlval
-     * @param object $objMaker
-     * @return multiple
-     */
-    function doRegist($maker_id, $sqlval, SC_Helper_Maker_Ex $objMaker)
-    {
-        $sqlval['maker_id'] = $maker_id;
+     * メーカー情報表示.
+     *
+     * @return array $arrMaker メーカー情報
+     */
+    function lfDisp() {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // 削除されていないメーカー情報を表示する
+        $where = 'del_flg = 0';
+        $objQuery->setOrder('rank DESC');
+        $arrMaker = array();
+        $arrMaker = $objQuery->select('maker_id, name', 'dtb_maker', $where);
+        return $arrMaker;
+    }
+
+    /**
+     * メーカー情報新規登録.
+     *
+     * @param array $arrForm メーカー情報
+     * @return void
+     */
+    function lfInsert(&$arrForm) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // INSERTする値を作成する
+        $sqlval['name'] = $arrForm['name'];
+        $sqlval['rank'] = $objQuery->max('rank', 'dtb_maker') + 1;
         $sqlval['creator_id'] = $_SESSION['member_id'];
-        return $objMaker->save($sqlval);
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $sqlval['create_date'] = 'CURRENT_TIMESTAMP';
+        $sqlval['maker_id'] = $objQuery->nextVal('dtb_maker_maker_id');
+
+        // INSERTの実行
+        $objQuery->insert('dtb_maker', $sqlval);
+    }
+
+    /**
+     * メーカー情報更新.
+     *
+     * @param array $arrForm メーカー情報
+     * @return void
+     */
+    function lfUpdate(&$arrForm) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // UPDATEする値を作成する
+        $sqlval['name'] = $arrForm['name'];
+        $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
+        $where = 'maker_id = ?';
+
+        // UPDATEの実行
+        $objQuery->update('dtb_maker', $sqlval, $where, array($arrForm['maker_id']));
+    }
+
+    /**
+     * メーカー情報削除.
+     *
+     * @param integer $maker_id メーカーID
+     * @return void
+     */
+    function lfDelete($maker_id) {
+        $objDb = new SC_Helper_DB_Ex();
+        $objDb->sfDeleteRankRecord('dtb_maker', 'maker_id', $maker_id, '', true);
+    }
+
+    /**
+     * メーカー情報順番変更.
+     *
+     * @param  integer $maker_id メーカーID
+     * @param  string  $mode up か down のモードを示す文字列
+     * @return void
+     */
+    function lfRankChange($maker_id, $mode) {
+        $objDb = new SC_Helper_DB_Ex();
+
+        switch ($mode) {
+            case 'up':
+                $objDb->sfRankUp('dtb_maker', 'maker_id', $maker_id);
+                break;
+
+            case 'down':
+                $objDb->sfRankDown('dtb_maker', 'maker_id', $maker_id);
+                break;
+
+            default:
+                break;
+        }
+    }
+
+    /**
+     * メーカー情報編集前処理.
+     *
+     * @param array   $arrForm メーカー情報
+     * @param integer $maker_id メーカーID
+     * @return array  $arrForm メーカー名を追加
+     */
+    function lfPreEdit(&$arrForm, $maker_id) {
+        $objQuery =& SC_Query_Ex::getSingletonInstance();
+
+        // 編集項目を取得する
+        $where = 'maker_id = ?';
+        $arrMaker = array();
+        $arrMaker = $objQuery->select('name', 'dtb_maker', $where, array($maker_id));
+        $arrForm['name'] = $arrMaker[0]['name'];
+
+        return $arrForm;
     }
 
@@ -196,17 +277,20 @@
      * 入力エラーチェック.
      *
+     * @param  array $arrForm メーカー情報
      * @return array $objErr->arrErr エラー内容
      */
-    function lfCheckError(&$objFormParam, SC_Helper_Maker_Ex &$objMaker)
-    {
+    function lfCheckError(&$arrForm, &$objFormParam) {
 
         $arrErr = $objFormParam->checkError();
-        $arrForm = $objFormParam->getHashArray();
+        if (!empty($arrErr)) {
+            return $arrErr;
+        }
 
         // maker_id の正当性チェック
         if (!empty($arrForm['maker_id'])) {
+            $objDb = new SC_Helper_DB_Ex();
             if (!SC_Utils_Ex::sfIsInt($arrForm['maker_id'])
                 || SC_Utils_Ex::sfIsZeroFilling($arrForm['maker_id'])
-                || !$objMaker->get($arrForm['maker_id'])
+                || !$objDb->sfIsRecord('dtb_maker', 'maker_id', array($arrForm['maker_id']))
             ) {
                 // maker_idが指定されていて、且つその値が不正と思われる場合はエラー
@@ -215,12 +299,10 @@
         }
         if (!isset($arrErr['name'])) {
-            $arrMaker = $objMaker->getByName($arrForm['name']);
+            $objQuery =& SC_Query_Ex::getSingletonInstance();
+            $arrMaker = array();
+            $arrMaker = $objQuery->select('maker_id, name', 'dtb_maker', 'del_flg = 0 AND name = ?', array($arrForm['name']));
 
             // 編集中のレコード以外に同じ名称が存在する場合
-            if (
-                    !SC_Utils_Ex::isBlank($arrMaker)
-                    && $arrMaker['maker_id'] != $arrForm['maker_id']
-                    && $arrMaker['name'] == $arrForm['name']
-                ) {
+            if ($arrMaker[0]['maker_id'] != $arrForm['maker_id'] && $arrMaker[0]['name'] == $arrForm['name']) {
                 $arrErr['name'] = '※ 既に同じ内容の登録が存在します。<br />';
             }
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 22582)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/index.tpl';
@@ -59,5 +57,5 @@
         $this->arrPRODUCTSTATUS_COLOR = $masterData->getMasterData('mtb_product_status_color');
 
-        $objDate = new SC_Date_Ex();
+        $objDate = new SC_Date();
         // 登録・更新検索開始年
         $objDate->setStartYear(RELEASE_YEAR);
@@ -80,6 +78,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -91,6 +88,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -191,6 +187,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -202,6 +197,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
 
         // POSTされる値
@@ -234,6 +228,5 @@
      * @return void
      */
-    function lfCheckError(&$objFormParam)
-    {
+    function lfCheckError(&$objFormParam) {
         $objErr = new SC_CheckError_Ex($objFormParam->getHashArray());
         $objErr->arrErr = $objFormParam->checkError();
@@ -245,6 +238,5 @@
 
     // カテゴリIDをキー、カテゴリ名を値にする配列を返す。
-    function lfGetIDName($arrCatKey, $arrCatVal)
-    {
+    function lfGetIDName($arrCatKey, $arrCatVal) {
         $max = count($arrCatKey);
         for ($cnt = 0; $cnt < $max; $cnt++) {
@@ -263,12 +255,6 @@
      * @return void
      */
-    function doDelete($where, $arrParam = array())
-    {
+    function doDelete($where, $arrParam = array()) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
-        $arrRet = $objQuery->getCol('product_id', "dtb_products", $where, $arrParam);
-        $product_ids = array();
-        foreach ($arrRet as $value) {
-            $product_ids[] = $value['product_id'];
-        }
         $sqlval['del_flg']     = 1;
         $sqlval['update_date'] = 'CURRENT_TIMESTAMP';
@@ -276,8 +262,5 @@
         $objQuery->update('dtb_products_class', $sqlval, "product_id IN (SELECT product_id FROM dtb_products WHERE $where)", $arrParam);
         $objQuery->delete('dtb_customer_favorite_products', "product_id IN (SELECT product_id FROM dtb_products WHERE $where)", $arrParam);
-
-        $objRecomment = new SC_Helper_Recommend_Ex();
-        $objRecomment->deleteByProductIDs($product_ids);
-
+        $objQuery->delete('dtb_best_products', "product_id IN (SELECT product_id FROM dtb_products WHERE $where)", $arrParam);
         $objQuery->update('dtb_products', $sqlval, $where, $arrParam);
         $objQuery->commit();
@@ -299,6 +282,5 @@
      * @return void
      */
-    function buildQuery($key, &$where, &$arrValues, &$objFormParam, &$objDb)
-    {
+    function buildQuery($key, &$where, &$arrValues, &$objFormParam, &$objDb) {
         $dbFactory = SC_DB_DBFactory_Ex::getInstance();
         switch ($key) {
@@ -385,6 +367,5 @@
      * @return integer 検索結果の行数
      */
-    function getNumberOfLines($where, $arrValues)
-    {
+    function getNumberOfLines($where, $arrValues) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         return $objQuery->count('dtb_products', $where, $arrValues);
@@ -402,6 +383,5 @@
      * @return array 商品の検索結果
      */
-    function findProducts($where, $arrValues, $limit, $offset, $order, &$objProduct)
-    {
+    function findProducts($where, $arrValues, $limit, $offset, $order, &$objProduct) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
 
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 22578)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_Product.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_Product extends LC_Page_Admin_Products_Ex 
-{
+class LC_Page_Admin_Products_Product extends LC_Page_Admin_Products_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/product.tpl';
@@ -58,5 +56,5 @@
         $this->arrSTATUS_IMAGE = $masterData->getMasterData('mtb_status_image');
         $this->arrDELIVERYDATE = $masterData->getMasterData('mtb_delivery_date');
-        $this->arrMaker = SC_Helper_Maker_Ex::getIDValueList();
+        $this->arrMaker = SC_Helper_DB_Ex::sfGetIDValueList('dtb_maker', 'maker_id', 'name');
         $this->arrAllowedTag = $masterData->getMasterData('mtb_allowed_tag');
     }
@@ -67,6 +65,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -78,6 +75,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objFormParam = new SC_FormParam_Ex();
@@ -298,6 +294,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -311,6 +306,5 @@
      * @return void
      */
-    function lfInitFormParam_PreEdit(&$objFormParam, $arrPost)
-    {
+    function lfInitFormParam_PreEdit(&$objFormParam, $arrPost) {
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->setParam($arrPost);
@@ -325,6 +319,5 @@
      * @return void
      */
-    function lfInitFormParam(&$objFormParam, $arrPost)
-    {
+    function lfInitFormParam(&$objFormParam, $arrPost) {
         $objFormParam->addParam('商品ID', 'product_id', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
         $objFormParam->addParam('商品名', 'name', STEXT_LEN, 'KVa', array('EXIST_CHECK', 'SPTAB_CHECK', 'MAX_LENGTH_CHECK'));
@@ -394,6 +387,5 @@
      * @return void
      */
-    function lfInitFormParam_UploadImage(&$objFormParam)
-    {
+    function lfInitFormParam_UploadImage(&$objFormParam) {
         $objFormParam->addParam('image_key', 'image_key', '', '', array());
     }
@@ -406,6 +398,5 @@
      * @return void
      */
-    function lfInitFormParam_UploadDown(&$objFormParam)
-    {
+    function lfInitFormParam_UploadDown(&$objFormParam) {
         $objFormParam->addParam('down_key', 'down_key', '', '', array());
     }
@@ -418,6 +409,5 @@
      * @return void
      */
-    function lfInitFormParam_RecommendSelect(&$objFormParam)
-    {
+    function lfInitFormParam_RecommendSelect(&$objFormParam) {
         $objFormParam->addParam('anchor_key', 'anchor_key', '', '', array());
         $objFormParam->addParam('select_recommend_no', 'select_recommend_no', INT_LEN, 'n', array('NUM_CHECK', 'MAX_LENGTH_CHECK'));
@@ -431,6 +421,5 @@
      * @return void
      */
-    function lfInitFile(&$objUpFile)
-    {
+    function lfInitFile(&$objUpFile) {
         $objUpFile->addFile('一覧-メイン画像', 'main_list_image', array('jpg', 'gif', 'png'),IMAGE_SIZE, false, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT);
         $objUpFile->addFile('詳細-メイン画像', 'main_image', array('jpg', 'gif', 'png'), IMAGE_SIZE, false, NORMAL_IMAGE_WIDTH, NORMAL_IMAGE_HEIGHT);
@@ -449,6 +438,5 @@
      * @return void
      */
-    function lfInitDownFile(&$objDownFile)
-    {
+    function lfInitDownFile(&$objDownFile) {
         $objDownFile->addFile('ダウンロード販売用ファイル', 'down_file', explode(',', DOWNLOAD_EXTENSION),DOWN_SIZE, true, 0, 0);
     }
@@ -463,6 +451,5 @@
      * @return array エラー情報を格納した連想配列
      */
-    function lfCheckError_Edit(&$objFormParam, &$objUpFile, &$objDownFile, $arrForm)
-    {
+    function lfCheckError_Edit(&$objFormParam, &$objUpFile, &$objDownFile, $arrForm) {
         $objErr = new SC_CheckError_Ex($arrForm);
         $arrErr = array();
@@ -506,6 +493,5 @@
      * @return void
      */
-    function lfCheckError_RecommendSelect(&$arrForm, &$arrErr)
-    {
+    function lfCheckError_RecommendSelect(&$arrForm, &$arrErr) {
         $select_recommend_no = $arrForm['select_recommend_no'];
         $select_recommend_id = $arrForm['recommend_id' . $select_recommend_no];
@@ -516,6 +502,6 @@
                     continue;
                 }
-                $delete_key = 'recommend_delete'.intval(str_replace('recommend_id','',$key));
-                if ($select_recommend_id == $arrForm[$key] && $arrForm[$delete_key] != 1) {
+
+                if ($select_recommend_id == $arrForm[$key]) {
                     // 重複した場合、選択されたデータをリセットする
                     $arrForm['recommend_id' . $select_recommend_no] = '';
@@ -533,6 +519,5 @@
      * @return array 検索パラメーター配列
      */
-    function lfGetSearchParam($arrPost)
-    {
+    function lfGetSearchParam($arrPost) {
         $arrSearchParam = array();
         $objFormParam = new SC_FormParam_Ex();
@@ -554,6 +539,5 @@
      * @return array フォームパラメーター配列
      */
-    function lfGetFormParam_PreEdit(&$objUpFile, &$objDownFile, $product_id)
-    {
+    function lfGetFormParam_PreEdit(&$objUpFile, &$objDownFile, $product_id) {
         $arrForm = array();
 
@@ -575,6 +559,5 @@
      * @return array フォームパラメーター配列
      */
-    function lfGetFormParam_Complete(&$objFormParam)
-    {
+    function lfGetFormParam_Complete(&$objFormParam) {
         $arrForm = $objFormParam->getHashArray();
         $arrForm['category_id'] = unserialize($arrForm['category_id']);
@@ -593,6 +576,5 @@
      * @return array 表示用フォームパラメーター配列
      */
-    function lfSetViewParam_InputPage(&$objUpFile, &$objDownFile, &$arrForm)
-    {
+    function lfSetViewParam_InputPage(&$objUpFile, &$objDownFile, &$arrForm) {
         // カテゴリマスターデータ取得
         $objDb = new SC_Helper_DB_Ex();
@@ -636,6 +618,5 @@
      * @return array 表示用フォームパラメーター配列
      */
-    function lfSetViewParam_ConfirmPage(&$objUpFile, &$objDownFile, &$arrForm)
-    {
+    function lfSetViewParam_ConfirmPage(&$objUpFile, &$objDownFile, &$arrForm) {
         // カテゴリ表示用
         $arrForm['arrCategoryId'] = $arrForm['category_id'];
@@ -657,6 +638,5 @@
      * @return void
      */
-    function lfSetScaleImage(&$objUpFile, $image_key)
-    {
+    function lfSetScaleImage(&$objUpFile, $image_key) {
         $subno = str_replace('sub_large_image', '', $image_key);
         switch ($image_key) {
@@ -683,6 +663,5 @@
      * @return void
      */
-    function lfCopyProductImageFiles(&$objUpFile)
-    {
+    function lfCopyProductImageFiles(&$objUpFile) {
         $arrKey = $objUpFile->keyname;
         $arrSaveFile = $objUpFile->save_file;
@@ -702,6 +681,5 @@
      * @return void
      */
-    function lfMakeScaleImage(&$objUpFile, $from_key, $to_key, $forced = false)
-    {
+    function lfMakeScaleImage(&$objUpFile, $from_key, $to_key, $forced = false) {
         $arrImageKey = array_flip($objUpFile->keyname);
         $from_path = '';
@@ -741,6 +719,5 @@
      * @return void
      */
-    function lfDeleteTempFile(&$objUpFile, $image_key)
-    {
+    function lfDeleteTempFile(&$objUpFile, $image_key) {
         // TODO: SC_UploadFile::deleteFileの画像削除条件見直し要
         $arrTempFile = $objUpFile->temp_file;
@@ -775,6 +752,5 @@
      * @return void
      */
-    function lfSaveUploadFiles(&$objUpFile, &$objDownFile, $product_id)
-    {
+    function lfSaveUploadFiles(&$objUpFile, &$objDownFile, $product_id) {
         // TODO: SC_UploadFile::moveTempFileの画像削除条件見直し要
         $objImage = new SC_Image_Ex($objUpFile->temp_dir);
@@ -810,6 +786,5 @@
      * @return boolean
      */
-    function lfHasSameProductImage($product_id, $arrImageKey, $image_file_name)
-    {
+    function lfHasSameProductImage($product_id, $arrImageKey, $image_file_name) {
         if (!SC_Utils_Ex::sfIsInt($product_id)) return false;
         if (!$arrImageKey) return false;
@@ -844,6 +819,5 @@
      * @return array 商品データ配列
      */
-    function lfGetProductData_FromDB($product_id)
-    {
+    function lfGetProductData_FromDB($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrProduct = array();
@@ -908,6 +882,5 @@
      * @return array 関連商品データ配列
      */
-    function lfGetRecommendProductsData_FromDB($product_id)
-    {
+    function lfGetRecommendProductsData_FromDB($product_id) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $arrRecommendProducts = array();
@@ -936,6 +909,5 @@
      * @return array 関連商品データ配列
      */
-    function lfGetRecommendProducts(&$arrForm)
-    {
+    function lfGetRecommendProducts(&$arrForm) {
         $arrRecommend = array();
 
@@ -964,6 +936,5 @@
      * @return array カテゴリマスターデータ配列
      */
-    function lfGetCategoryList_Edit()
-    {
+    function lfGetCategoryList_Edit() {
         $objDb = new SC_Helper_DB_Ex();
         $arrCategoryList = array();
@@ -984,6 +955,5 @@
      * @return string ページonload用JavaScript
      */
-    function lfSetOnloadJavaScript_InputPage($anchor_hash = '')
-    {
+    function lfSetOnloadJavaScript_InputPage($anchor_hash = '') {
         return "fnCheckStockLimit('" . DISABLED_RGB . "'); fnMoveSelect('category_id_unselect', 'category_id');" . $anchor_hash;
     }
@@ -997,6 +967,5 @@
      * @return integer 登録商品ID
      */
-    function lfRegistProduct(&$objUpFile, &$objDownFile, $arrList)
-    {
+    function lfRegistProduct(&$objUpFile, &$objDownFile, $arrList) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDb = new SC_Helper_DB_Ex();
@@ -1146,6 +1115,5 @@
      * @return void
      */
-    function lfInsertDummyProductClass($arrList)
-    {
+    function lfInsertDummyProductClass($arrList) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $objDb = new SC_Helper_DB_Ex();
@@ -1180,6 +1148,5 @@
      * @return void
      */
-    function lfUpdateProductClass($arrList)
-    {
+    function lfUpdateProductClass($arrList) {
         $objQuery =& SC_Query_Ex::getSingletonInstance();
         $sqlval = array();
@@ -1200,6 +1167,5 @@
      * @return void
      */
-    function lfInsertRecommendProducts(&$objQuery, $arrList, $product_id)
-    {
+    function lfInsertRecommendProducts(&$objQuery, $arrList, $product_id) {
         // 一旦関連商品をすべて削除する
         $objQuery->delete('dtb_recommend_products', 'product_id = ?', array($product_id));
@@ -1233,6 +1199,5 @@
      * @return boolean エラーフラグ
      */
-    function lfCopyProductClass($arrList, &$objQuery)
-    {
+    function lfCopyProductClass($arrList, &$objQuery) {
         // 複製元のdtb_products_classを取得（規格なしのため、1件のみの取得）
         $col = '*';
@@ -1284,6 +1249,5 @@
      * @return string
      */
-    function lfGetAddSuffix($to_key)
-    {
+    function lfGetAddSuffix($to_key) {
         if ( IMAGE_RENAME === true) return;
 
@@ -1312,6 +1276,5 @@
      * @return boolean true: サブ情報あり, false: サブ情報なし
      */
-    function hasSubProductData($arrSubProductData)
-    {
+    function hasSubProductData($arrSubProductData) {
         $has_subproduct_data = false;
 
@@ -1339,6 +1302,5 @@
      * @return <type>
      */
-    function getAnchorHash($anchor_key)
-    {
+    function getAnchorHash($anchor_key) {
         if ($anchor_key != '') {
             return "location.hash='#" . htmlspecialchars($anchor_key) . "'";
Index: /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php
===================================================================
--- /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/pages/admin/products/LC_Page_Admin_Products_ProductSelect.php	(revision 22796)
@@ -32,6 +32,5 @@
  * @version $Id$
  */
-class LC_Page_Admin_Products_ProductSelect extends LC_Page_Admin_Ex 
-{
+class LC_Page_Admin_Products_ProductSelect extends LC_Page_Admin_Ex {
 
     // }}}
@@ -43,6 +42,5 @@
      * @return void
      */
-    function init()
-    {
+    function init() {
         parent::init();
         $this->tpl_mainpage = 'products/product_select.tpl';
@@ -61,6 +59,5 @@
      * @return void
      */
-    function process()
-    {
+    function process() {
         $this->action();
         $this->sendResponse();
@@ -72,6 +69,5 @@
      * @return void
      */
-    function action()
-    {
+    function action() {
 
         $objDb = new SC_Helper_DB_Ex();
@@ -102,6 +98,5 @@
      * @return void
      */
-    function destroy()
-    {
+    function destroy() {
         parent::destroy();
     }
@@ -113,6 +108,5 @@
      * @return void
      */
-    function lfInitParam(&$objFormParam)
-    {
+    function lfInitParam(&$objFormParam) {
         $objFormParam->addParam('カテゴリ', 'search_category_id', STEXT_LEN, 'n');
         $objFormParam->addParam('商品名', 'search_name', STEXT_LEN, 'KVa');
@@ -121,6 +115,5 @@
 
     /* 商品検索結果取得 */
-    function lfGetProducts(&$objDb)
-    {
+    function lfGetProducts(&$objDb) {
         $where = 'del_flg = 0';
         $arrWhereVal = array();
